
#include "MacroPatternMatch.h"

#include "HROOTCoreTObject.h"

#include "HROOTHistTH1.h"

#include "HROOTHistTAxis.h"

#include "HROOTCoreTAttLine.h"

#include "HROOTCoreTAttFill.h"

#include "HROOTCoreTAttMarker.h"

#include "TF1.h"

#include "HROOTHistTF1.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TATTLINE_DEF_VIRT(TF1)
TATTFILL_DEF_VIRT(TF1)
TATTMARKER_DEF_VIRT(TF1)
DELETABLE_DEF_VIRT(TF1)
TF1_DEF_VIRT(TF1)
TF1_DEF_NONVIRT(TF1)
TF1_DEF_ACCESSOR(TF1)

