
#include "MacroPatternMatch.h"

#include "HROOTHistTFitResult.h"

#include "TFitResultPtr.h"

#include "HROOTHistTFitResultPtr.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TFITRESULTPTR_DEF_VIRT(TFitResultPtr)
TFITRESULTPTR_DEF_NONVIRT(TFitResultPtr)
TFITRESULTPTR_DEF_ACCESSOR(TFitResultPtr)

