
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "HROOT-histType.h"

#include "HROOTCoreTNamed.h"

#include "HROOTCoreTObject.h"

#include "STDDeletable.h"

#include "HROOT-coreType.h"


#define TMULTIGRAPH_DECL_VIRT(Type) \
void Type##_AddG ( Type##_p p, TGraph_p graph, const char* chopt );


#define TMULTIGRAPH_DECL_NONVIRT(Type) \
Type##_p Type##_newTMultiGraph ( const char* name, const char* title );


#define TMULTIGRAPH_DECL_ACCESSOR(Type) \



#define TMULTIGRAPH_DEF_VIRT(Type) \
void Type##_AddG ( Type##_p p, TGraph_p graph, const char* chopt ) {\
((TYPECASTMETHOD(Type, AddG, TMultiGraph))(p))->Add(from_nonconst_to_nonconst<TGraph, TGraph_t>(graph), chopt);\
}


#define TMULTIGRAPH_DEF_NONVIRT(Type) \
Type##_p Type##_newTMultiGraph ( const char* name, const char* title ) {\
Type* newp=new Type(name, title);return from_nonconst_to_nonconst<Type##_t, Type>(newp);\
}


#define TMULTIGRAPH_DEF_ACCESSOR(Type) \



TNAMED_DECL_VIRT(TMultiGraph)
TOBJECT_DECL_VIRT(TMultiGraph)
DELETABLE_DECL_VIRT(TMultiGraph)
TMULTIGRAPH_DECL_VIRT(TMultiGraph)
TMULTIGRAPH_DECL_NONVIRT(TMultiGraph)
TMULTIGRAPH_DECL_ACCESSOR(TMultiGraph)

#ifdef __cplusplus
}
#endif

